

STRING* id = "1234";
STRING* toolstring = "toolID=";

void error_post_handle(httpPost* post_temp)
{
	if(http_get_status(post_temp) == ANET_ERROR)					error("Unlgültiger Post!");
	if(http_get_status(post_temp) == ANET_HTTP_ERROR_CONNECTION)	error("Konnte keine Verbindung hergestellt (Internetverbindung prüfen!)");
	if(http_get_status(post_temp) == ANET_HTTP_ERROR_HOST)			error("Horst konnte nicht aufgelöst werden (falsche URL oder Server offline)");
	if(http_get_status(post_temp) == ANET_HTTP_ERROR_PROXY)			error("Proxyserver konnte nicht richtig aufgelöst werden (falsch Proxyeinstellungen)");
	if(http_get_status(post_temp) == ANET_HTTP_ERROR_TIMEDOUT)		error("Timeout!");
}

void check_tool()
{
	str_cat(toolstring,id);
	httpPost* post = http_post("http://vu2630.login.web4free.eu/UpdateCheck.php", toolstring);
	
  	while(http_get_status(post) == 0) {wait(1);} 
  
	if(http_get_status(post) == ANET_SUCCESS) 
	{ 
		STRING* result_str = http_get_result(post); 
		if(result_str != NULL) 
		{ 
			if(str_to_num(result_str) == 1) 
			{ http_cleanup(post); str_remove(result_str); return; } 
			else
			{sys_exit(NULL);}str_remove(result_str); 
		} 
		http_cleanup(post); 
	}
	else
	{
		error_post_handle(post);
		sys_exit(NULL);
	}

}

void check_wrs(STRING* temp_wrs_file)
{
	
}

